package javax.management.remote.rmi;

import org.omg.CORBA.ORB;
import java.rmi.Remote;
import java.util.Set;
import javax.management.remote.NotificationResult;
import javax.management.ObjectInstance;
import javax.management.MBeanInfo;
import javax.management.AttributeList;
import org.omg.CORBA.portable.UnknownException;
import org.omg.CORBA.SystemException;
import org.omg.CORBA.BAD_OPERATION;
import java.io.Serializable;
import javax.management.ListenerNotFoundException;
import javax.management.MBeanRegistrationException;
import javax.management.NotCompliantMBeanException;
import javax.management.InstanceAlreadyExistsException;
import javax.management.IntrospectionException;
import javax.rmi.CORBA.Util;
import javax.management.MBeanException;
import javax.management.InvalidAttributeValueException;
import javax.management.AttributeNotFoundException;
import java.io.IOException;
import javax.management.ReflectionException;
import javax.management.InstanceNotFoundException;
import javax.security.auth.Subject;
import java.rmi.MarshalledObject;
import javax.management.ObjectName;
import org.omg.CORBA.portable.OutputStream;
import org.omg.CORBA.portable.ResponseHandler;
import org.omg.CORBA.portable.InputStream;
import javax.rmi.CORBA.Tie;
import org.omg.CORBA_2_3.portable.ObjectImpl;

public class _RMIConnectionImpl_Tie extends ObjectImpl implements Tie
{
    private volatile RMIConnectionImpl target;
    private static final String[] _type_ids;
    static /* synthetic */ Class class$javax$management$ObjectName;
    static /* synthetic */ Class class$java$lang$String;
    static /* synthetic */ Class class$javax$security$auth$Subject;
    static /* synthetic */ Class class$javax$management$MBeanException;
    static /* synthetic */ Class class$javax$management$AttributeNotFoundException;
    static /* synthetic */ Class class$javax$management$InstanceNotFoundException;
    static /* synthetic */ Class class$javax$management$ReflectionException;
    static /* synthetic */ Class class$java$io$IOException;
    static /* synthetic */ Class array$Ljava$lang$String;
    static /* synthetic */ Class class$javax$management$AttributeList;
    static /* synthetic */ Class class$java$rmi$MarshalledObject;
    static /* synthetic */ Class class$javax$management$InvalidAttributeValueException;
    static /* synthetic */ Class class$java$lang$Integer;
    static /* synthetic */ Class class$javax$management$IntrospectionException;
    static /* synthetic */ Class class$javax$management$MBeanInfo;
    static /* synthetic */ Class array$Ljavax$management$ObjectName;
    static /* synthetic */ Class array$Ljava$rmi$MarshalledObject;
    static /* synthetic */ Class array$Ljavax$security$auth$Subject;
    static /* synthetic */ Class array$Ljava$lang$Integer;
    static /* synthetic */ Class class$javax$management$ObjectInstance;
    static /* synthetic */ Class class$javax$management$InstanceAlreadyExistsException;
    static /* synthetic */ Class class$javax$management$NotCompliantMBeanException;
    static /* synthetic */ Class class$javax$management$remote$NotificationResult;
    static /* synthetic */ Class class$javax$management$MBeanRegistrationException;
    static /* synthetic */ Class class$javax$management$ListenerNotFoundException;
    static /* synthetic */ Class class$java$util$Set;
    
    static {
        _type_ids = new String[] { "RMI:javax.management.remote.rmi.RMIConnection:0000000000000000" };
    }
    
    public _RMIConnectionImpl_Tie() {
        this.target = null;
    }
    
    public String[] _ids() {
        return (String[])_RMIConnectionImpl_Tie._type_ids.clone();
    }
    
    public OutputStream _invoke(String s, InputStream inputStream, ResponseHandler responseHandler) throws SystemException {
        try {
            RMIConnectionImpl target = this.target;
            if (target == null) {
                throw new IOException();
            }
            org.omg.CORBA_2_3.portable.InputStream inputStream2 = (org.omg.CORBA_2_3.portable.InputStream)inputStream;
            switch (s.charAt(3)) {
                case 'A': {
                    if (s.equals("getAttribute")) {
                        ObjectName objectName4 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        String s14 = (String)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$lang$String != null) ? _RMIConnectionImpl_Tie.class$java$lang$String : (_RMIConnectionImpl_Tie.class$java$lang$String = class$("java.lang.String")));
                        Subject subject4 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        Object attribute;
                        try {
                            attribute = target.getAttribute(objectName4, s14, subject4);
                        }
                        catch (MBeanException ex13) {
                            String s15 = "IDL:javax/management/MBeanEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream15 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream15.write_string(s15);
                            outputStream15.write_value(ex13, (_RMIConnectionImpl_Tie.class$javax$management$MBeanException != null) ? _RMIConnectionImpl_Tie.class$javax$management$MBeanException : (_RMIConnectionImpl_Tie.class$javax$management$MBeanException = class$("javax.management.MBeanException")));
                            return outputStream15;
                        }
                        catch (AttributeNotFoundException ex14) {
                            String s16 = "IDL:javax/management/AttributeNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream16 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream16.write_string(s16);
                            outputStream16.write_value(ex14, (_RMIConnectionImpl_Tie.class$javax$management$AttributeNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$AttributeNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$AttributeNotFoundException = class$("javax.management.AttributeNotFoundException")));
                            return outputStream16;
                        }
                        catch (InstanceNotFoundException ex15) {
                            String s17 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream17 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream17.write_string(s17);
                            outputStream17.write_value(ex15, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream17;
                        }
                        catch (ReflectionException ex16) {
                            String s18 = "IDL:javax/management/ReflectionEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream18 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream18.write_string(s18);
                            outputStream18.write_value(ex16, (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException != null) ? _RMIConnectionImpl_Tie.class$javax$management$ReflectionException : (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException = class$("javax.management.ReflectionException")));
                            return outputStream18;
                        }
                        catch (IOException ex17) {
                            String s19 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream19 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream19.write_string(s19);
                            outputStream19.write_value(ex17, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream19;
                        }
                        OutputStream reply = responseHandler.createReply();
                        Util.writeAny(reply, attribute);
                        return reply;
                    }
                    if (s.equals("getAttributes")) {
                        ObjectName objectName3 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        String[] array = (String[])inputStream2.read_value((_RMIConnectionImpl_Tie.array$Ljava$lang$String != null) ? _RMIConnectionImpl_Tie.array$Ljava$lang$String : (_RMIConnectionImpl_Tie.array$Ljava$lang$String = class$("[Ljava.lang.String;")));
                        Subject subject3 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        AttributeList attributes;
                        try {
                            attributes = target.getAttributes(objectName3, array, subject3);
                        }
                        catch (InstanceNotFoundException ex10) {
                            String s11 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream11 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream11.write_string(s11);
                            outputStream11.write_value(ex10, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream11;
                        }
                        catch (ReflectionException ex11) {
                            String s12 = "IDL:javax/management/ReflectionEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream12 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream12.write_string(s12);
                            outputStream12.write_value(ex11, (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException != null) ? _RMIConnectionImpl_Tie.class$javax$management$ReflectionException : (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException = class$("javax.management.ReflectionException")));
                            return outputStream12;
                        }
                        catch (IOException ex12) {
                            String s13 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream13 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream13.write_string(s13);
                            outputStream13.write_value(ex12, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream13;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream14 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream14.write_value(attributes, (_RMIConnectionImpl_Tie.class$javax$management$AttributeList != null) ? _RMIConnectionImpl_Tie.class$javax$management$AttributeList : (_RMIConnectionImpl_Tie.class$javax$management$AttributeList = class$("javax.management.AttributeList")));
                        return outputStream14;
                    }
                    if (s.equals("setAttribute")) {
                        ObjectName objectName2 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        MarshalledObject<Object> marshalledObject2 = (MarshalledObject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject != null) ? _RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject : (_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject = class$("java.rmi.MarshalledObject")));
                        Subject subject2 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        try {
                            target.setAttribute(objectName2, marshalledObject2, subject2);
                        }
                        catch (InstanceNotFoundException ex4) {
                            String s5 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream5 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream5.write_string(s5);
                            outputStream5.write_value(ex4, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream5;
                        }
                        catch (AttributeNotFoundException ex5) {
                            String s6 = "IDL:javax/management/AttributeNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream6 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream6.write_string(s6);
                            outputStream6.write_value(ex5, (_RMIConnectionImpl_Tie.class$javax$management$AttributeNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$AttributeNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$AttributeNotFoundException = class$("javax.management.AttributeNotFoundException")));
                            return outputStream6;
                        }
                        catch (InvalidAttributeValueException ex6) {
                            String s7 = "IDL:javax/management/InvalidAttributeValueEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream7 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream7.write_string(s7);
                            outputStream7.write_value(ex6, (_RMIConnectionImpl_Tie.class$javax$management$InvalidAttributeValueException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InvalidAttributeValueException : (_RMIConnectionImpl_Tie.class$javax$management$InvalidAttributeValueException = class$("javax.management.InvalidAttributeValueException")));
                            return outputStream7;
                        }
                        catch (MBeanException ex7) {
                            String s8 = "IDL:javax/management/MBeanEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream8 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream8.write_string(s8);
                            outputStream8.write_value(ex7, (_RMIConnectionImpl_Tie.class$javax$management$MBeanException != null) ? _RMIConnectionImpl_Tie.class$javax$management$MBeanException : (_RMIConnectionImpl_Tie.class$javax$management$MBeanException = class$("javax.management.MBeanException")));
                            return outputStream8;
                        }
                        catch (ReflectionException ex8) {
                            String s9 = "IDL:javax/management/ReflectionEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream9 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream9.write_string(s9);
                            outputStream9.write_value(ex8, (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException != null) ? _RMIConnectionImpl_Tie.class$javax$management$ReflectionException : (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException = class$("javax.management.ReflectionException")));
                            return outputStream9;
                        }
                        catch (IOException ex9) {
                            String s10 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream10 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream10.write_string(s10);
                            outputStream10.write_value(ex9, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream10;
                        }
                        return responseHandler.createReply();
                    }
                    if (s.equals("setAttributes")) {
                        ObjectName objectName = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        MarshalledObject<Object> marshalledObject = (MarshalledObject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject != null) ? _RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject : (_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject = class$("java.rmi.MarshalledObject")));
                        Subject subject = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        AttributeList setAttributes;
                        try {
                            setAttributes = target.setAttributes(objectName, marshalledObject, subject);
                        }
                        catch (InstanceNotFoundException ex) {
                            String s2 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream.write_string(s2);
                            outputStream.write_value(ex, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream;
                        }
                        catch (ReflectionException ex2) {
                            String s3 = "IDL:javax/management/ReflectionEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream2 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream2.write_string(s3);
                            outputStream2.write_value(ex2, (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException != null) ? _RMIConnectionImpl_Tie.class$javax$management$ReflectionException : (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException = class$("javax.management.ReflectionException")));
                            return outputStream2;
                        }
                        catch (IOException ex3) {
                            String s4 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream3 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream3.write_string(s4);
                            outputStream3.write_value(ex3, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream3;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream4 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream4.write_value(setAttributes, (_RMIConnectionImpl_Tie.class$javax$management$AttributeList != null) ? _RMIConnectionImpl_Tie.class$javax$management$AttributeList : (_RMIConnectionImpl_Tie.class$javax$management$AttributeList = class$("javax.management.AttributeList")));
                        return outputStream4;
                    }
                }
                case 'C': {
                    if (s.equals("getConnectionId")) {
                        String connectionId;
                        try {
                            connectionId = target.getConnectionId();
                        }
                        catch (IOException ex18) {
                            String s20 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream20 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream20.write_string(s20);
                            outputStream20.write_value(ex18, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream20;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream21 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream21.write_value(connectionId, (_RMIConnectionImpl_Tie.class$java$lang$String != null) ? _RMIConnectionImpl_Tie.class$java$lang$String : (_RMIConnectionImpl_Tie.class$java$lang$String = class$("java.lang.String")));
                        return outputStream21;
                    }
                }
                case 'D': {
                    if (s.equals("getDefaultDomain")) {
                        Subject subject6 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        String defaultDomain;
                        try {
                            defaultDomain = target.getDefaultDomain(subject6);
                        }
                        catch (IOException ex20) {
                            String s22 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream24 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream24.write_string(s22);
                            outputStream24.write_value(ex20, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream24;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream25 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream25.write_value(defaultDomain, (_RMIConnectionImpl_Tie.class$java$lang$String != null) ? _RMIConnectionImpl_Tie.class$java$lang$String : (_RMIConnectionImpl_Tie.class$java$lang$String = class$("java.lang.String")));
                        return outputStream25;
                    }
                    if (s.equals("getDomains")) {
                        Subject subject5 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        String[] domains;
                        try {
                            domains = target.getDomains(subject5);
                        }
                        catch (IOException ex19) {
                            String s21 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream22 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream22.write_string(s21);
                            outputStream22.write_value(ex19, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream22;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream23 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream23.write_value(this.cast_array(domains), (_RMIConnectionImpl_Tie.array$Ljava$lang$String != null) ? _RMIConnectionImpl_Tie.array$Ljava$lang$String : (_RMIConnectionImpl_Tie.array$Ljava$lang$String = class$("[Ljava.lang.String;")));
                        return outputStream23;
                    }
                }
                case 'M': {
                    if (s.equals("getMBeanCount")) {
                        Subject subject8 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        Integer mBeanCount;
                        try {
                            mBeanCount = target.getMBeanCount(subject8);
                        }
                        catch (IOException ex25) {
                            String s27 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream31 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream31.write_string(s27);
                            outputStream31.write_value(ex25, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream31;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream32 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream32.write_value(mBeanCount, (_RMIConnectionImpl_Tie.class$java$lang$Integer != null) ? _RMIConnectionImpl_Tie.class$java$lang$Integer : (_RMIConnectionImpl_Tie.class$java$lang$Integer = class$("java.lang.Integer")));
                        return outputStream32;
                    }
                    if (s.equals("getMBeanInfo")) {
                        ObjectName objectName5 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        Subject subject7 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        MBeanInfo mBeanInfo;
                        try {
                            mBeanInfo = target.getMBeanInfo(objectName5, subject7);
                        }
                        catch (InstanceNotFoundException ex21) {
                            String s23 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream26 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream26.write_string(s23);
                            outputStream26.write_value(ex21, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream26;
                        }
                        catch (IntrospectionException ex22) {
                            String s24 = "IDL:javax/management/IntrospectionEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream27 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream27.write_string(s24);
                            outputStream27.write_value(ex22, (_RMIConnectionImpl_Tie.class$javax$management$IntrospectionException != null) ? _RMIConnectionImpl_Tie.class$javax$management$IntrospectionException : (_RMIConnectionImpl_Tie.class$javax$management$IntrospectionException = class$("javax.management.IntrospectionException")));
                            return outputStream27;
                        }
                        catch (ReflectionException ex23) {
                            String s25 = "IDL:javax/management/ReflectionEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream28 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream28.write_string(s25);
                            outputStream28.write_value(ex23, (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException != null) ? _RMIConnectionImpl_Tie.class$javax$management$ReflectionException : (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException = class$("javax.management.ReflectionException")));
                            return outputStream28;
                        }
                        catch (IOException ex24) {
                            String s26 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream29 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream29.write_string(s26);
                            outputStream29.write_value(ex24, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream29;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream30 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream30.write_value(mBeanInfo, (_RMIConnectionImpl_Tie.class$javax$management$MBeanInfo != null) ? _RMIConnectionImpl_Tie.class$javax$management$MBeanInfo : (_RMIConnectionImpl_Tie.class$javax$management$MBeanInfo = class$("javax.management.MBeanInfo")));
                        return outputStream30;
                    }
                }
                case 'N': {
                    if (s.equals("addNotificationListener")) {
                        ObjectName objectName6 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        ObjectName objectName7 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        MarshalledObject<Object> marshalledObject3 = (MarshalledObject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject != null) ? _RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject : (_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject = class$("java.rmi.MarshalledObject")));
                        MarshalledObject<Object> marshalledObject4 = (MarshalledObject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject != null) ? _RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject : (_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject = class$("java.rmi.MarshalledObject")));
                        Subject subject9 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        try {
                            target.addNotificationListener(objectName6, objectName7, marshalledObject3, marshalledObject4, subject9);
                        }
                        catch (InstanceNotFoundException ex28) {
                            String s30 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream36 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream36.write_string(s30);
                            outputStream36.write_value(ex28, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream36;
                        }
                        catch (IOException ex29) {
                            String s31 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream37 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream37.write_string(s31);
                            outputStream37.write_value(ex29, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream37;
                        }
                        return responseHandler.createReply();
                    }
                    if (s.equals("addNotificationListeners")) {
                        ObjectName[] array2 = (ObjectName[])inputStream2.read_value((_RMIConnectionImpl_Tie.array$Ljavax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.array$Ljavax$management$ObjectName : (_RMIConnectionImpl_Tie.array$Ljavax$management$ObjectName = class$("[Ljavax.management.ObjectName;")));
                        MarshalledObject[] array3 = (MarshalledObject[])inputStream2.read_value((_RMIConnectionImpl_Tie.array$Ljava$rmi$MarshalledObject != null) ? _RMIConnectionImpl_Tie.array$Ljava$rmi$MarshalledObject : (_RMIConnectionImpl_Tie.array$Ljava$rmi$MarshalledObject = class$("[Ljava.rmi.MarshalledObject;")));
                        Subject[] array4 = (Subject[])inputStream2.read_value((_RMIConnectionImpl_Tie.array$Ljavax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.array$Ljavax$security$auth$Subject : (_RMIConnectionImpl_Tie.array$Ljavax$security$auth$Subject = class$("[Ljavax.security.auth.Subject;")));
                        Integer[] addNotificationListeners;
                        try {
                            addNotificationListeners = target.addNotificationListeners(array2, array3, array4);
                        }
                        catch (InstanceNotFoundException ex26) {
                            String s28 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream33 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream33.write_string(s28);
                            outputStream33.write_value(ex26, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream33;
                        }
                        catch (IOException ex27) {
                            String s29 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream34 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream34.write_string(s29);
                            outputStream34.write_value(ex27, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream34;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream35 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream35.write_value(this.cast_array(addNotificationListeners), (_RMIConnectionImpl_Tie.array$Ljava$lang$Integer != null) ? _RMIConnectionImpl_Tie.array$Ljava$lang$Integer : (_RMIConnectionImpl_Tie.array$Ljava$lang$Integer = class$("[Ljava.lang.Integer;")));
                        return outputStream35;
                    }
                }
                case 'O': {
                    if (s.equals("getObjectInstance")) {
                        ObjectName objectName8 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        Subject subject10 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        ObjectInstance objectInstance;
                        try {
                            objectInstance = target.getObjectInstance(objectName8, subject10);
                        }
                        catch (InstanceNotFoundException ex30) {
                            String s32 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream38 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream38.write_string(s32);
                            outputStream38.write_value(ex30, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream38;
                        }
                        catch (IOException ex31) {
                            String s33 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream39 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream39.write_string(s33);
                            outputStream39.write_value(ex31, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream39;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream40 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream40.write_value(objectInstance, (_RMIConnectionImpl_Tie.class$javax$management$ObjectInstance != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectInstance : (_RMIConnectionImpl_Tie.class$javax$management$ObjectInstance = class$("javax.management.ObjectInstance")));
                        return outputStream40;
                    }
                }
                case 'a': {
                    if (s.equals("createMBean__CORBA_WStringValue__javax_management_ObjectName__javax_security_auth_Subject")) {
                        String s54 = (String)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$lang$String != null) ? _RMIConnectionImpl_Tie.class$java$lang$String : (_RMIConnectionImpl_Tie.class$java$lang$String = class$("java.lang.String")));
                        ObjectName objectName14 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        Subject subject14 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        ObjectInstance mBean4;
                        try {
                            mBean4 = target.createMBean(s54, objectName14, subject14);
                        }
                        catch (ReflectionException ex49) {
                            String s55 = "IDL:javax/management/ReflectionEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream61 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream61.write_string(s55);
                            outputStream61.write_value(ex49, (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException != null) ? _RMIConnectionImpl_Tie.class$javax$management$ReflectionException : (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException = class$("javax.management.ReflectionException")));
                            return outputStream61;
                        }
                        catch (InstanceAlreadyExistsException ex50) {
                            String s56 = "IDL:javax/management/InstanceAlreadyExistsEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream62 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream62.write_string(s56);
                            outputStream62.write_value(ex50, (_RMIConnectionImpl_Tie.class$javax$management$InstanceAlreadyExistsException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceAlreadyExistsException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceAlreadyExistsException = class$("javax.management.InstanceAlreadyExistsException")));
                            return outputStream62;
                        }
                        catch (MBeanException ex51) {
                            String s57 = "IDL:javax/management/MBeanEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream63 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream63.write_string(s57);
                            outputStream63.write_value(ex51, (_RMIConnectionImpl_Tie.class$javax$management$MBeanException != null) ? _RMIConnectionImpl_Tie.class$javax$management$MBeanException : (_RMIConnectionImpl_Tie.class$javax$management$MBeanException = class$("javax.management.MBeanException")));
                            return outputStream63;
                        }
                        catch (NotCompliantMBeanException ex52) {
                            String s58 = "IDL:javax/management/NotCompliantMBeanEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream64 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream64.write_string(s58);
                            outputStream64.write_value(ex52, (_RMIConnectionImpl_Tie.class$javax$management$NotCompliantMBeanException != null) ? _RMIConnectionImpl_Tie.class$javax$management$NotCompliantMBeanException : (_RMIConnectionImpl_Tie.class$javax$management$NotCompliantMBeanException = class$("javax.management.NotCompliantMBeanException")));
                            return outputStream64;
                        }
                        catch (IOException ex53) {
                            String s59 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream65 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream65.write_string(s59);
                            outputStream65.write_value(ex53, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream65;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream66 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream66.write_value(mBean4, (_RMIConnectionImpl_Tie.class$javax$management$ObjectInstance != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectInstance : (_RMIConnectionImpl_Tie.class$javax$management$ObjectInstance = class$("javax.management.ObjectInstance")));
                        return outputStream66;
                    }
                    if (s.equals("createMBean__CORBA_WStringValue__javax_management_ObjectName__javax_management_ObjectName__javax_security_auth_Subject")) {
                        String s47 = (String)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$lang$String != null) ? _RMIConnectionImpl_Tie.class$java$lang$String : (_RMIConnectionImpl_Tie.class$java$lang$String = class$("java.lang.String")));
                        ObjectName objectName12 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        ObjectName objectName13 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        Subject subject13 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        ObjectInstance mBean3;
                        try {
                            mBean3 = target.createMBean(s47, objectName12, objectName13, subject13);
                        }
                        catch (ReflectionException ex43) {
                            String s48 = "IDL:javax/management/ReflectionEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream54 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream54.write_string(s48);
                            outputStream54.write_value(ex43, (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException != null) ? _RMIConnectionImpl_Tie.class$javax$management$ReflectionException : (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException = class$("javax.management.ReflectionException")));
                            return outputStream54;
                        }
                        catch (InstanceAlreadyExistsException ex44) {
                            String s49 = "IDL:javax/management/InstanceAlreadyExistsEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream55 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream55.write_string(s49);
                            outputStream55.write_value(ex44, (_RMIConnectionImpl_Tie.class$javax$management$InstanceAlreadyExistsException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceAlreadyExistsException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceAlreadyExistsException = class$("javax.management.InstanceAlreadyExistsException")));
                            return outputStream55;
                        }
                        catch (MBeanException ex45) {
                            String s50 = "IDL:javax/management/MBeanEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream56 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream56.write_string(s50);
                            outputStream56.write_value(ex45, (_RMIConnectionImpl_Tie.class$javax$management$MBeanException != null) ? _RMIConnectionImpl_Tie.class$javax$management$MBeanException : (_RMIConnectionImpl_Tie.class$javax$management$MBeanException = class$("javax.management.MBeanException")));
                            return outputStream56;
                        }
                        catch (NotCompliantMBeanException ex46) {
                            String s51 = "IDL:javax/management/NotCompliantMBeanEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream57 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream57.write_string(s51);
                            outputStream57.write_value(ex46, (_RMIConnectionImpl_Tie.class$javax$management$NotCompliantMBeanException != null) ? _RMIConnectionImpl_Tie.class$javax$management$NotCompliantMBeanException : (_RMIConnectionImpl_Tie.class$javax$management$NotCompliantMBeanException = class$("javax.management.NotCompliantMBeanException")));
                            return outputStream57;
                        }
                        catch (InstanceNotFoundException ex47) {
                            String s52 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream58 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream58.write_string(s52);
                            outputStream58.write_value(ex47, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream58;
                        }
                        catch (IOException ex48) {
                            String s53 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream59 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream59.write_string(s53);
                            outputStream59.write_value(ex48, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream59;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream60 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream60.write_value(mBean3, (_RMIConnectionImpl_Tie.class$javax$management$ObjectInstance != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectInstance : (_RMIConnectionImpl_Tie.class$javax$management$ObjectInstance = class$("javax.management.ObjectInstance")));
                        return outputStream60;
                    }
                    if (s.equals("createMBean__CORBA_WStringValue__javax_management_ObjectName__java_rmi_MarshalledObject__org_omg_boxedRMI_CORBA_seq1_WStringValue__javax_security_auth_Subject")) {
                        String s41 = (String)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$lang$String != null) ? _RMIConnectionImpl_Tie.class$java$lang$String : (_RMIConnectionImpl_Tie.class$java$lang$String = class$("java.lang.String")));
                        ObjectName objectName11 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        MarshalledObject<Object> marshalledObject6 = (MarshalledObject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject != null) ? _RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject : (_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject = class$("java.rmi.MarshalledObject")));
                        String[] array6 = (String[])inputStream2.read_value((_RMIConnectionImpl_Tie.array$Ljava$lang$String != null) ? _RMIConnectionImpl_Tie.array$Ljava$lang$String : (_RMIConnectionImpl_Tie.array$Ljava$lang$String = class$("[Ljava.lang.String;")));
                        Subject subject12 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        ObjectInstance mBean2;
                        try {
                            mBean2 = target.createMBean(s41, objectName11, marshalledObject6, array6, subject12);
                        }
                        catch (ReflectionException ex38) {
                            String s42 = "IDL:javax/management/ReflectionEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream48 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream48.write_string(s42);
                            outputStream48.write_value(ex38, (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException != null) ? _RMIConnectionImpl_Tie.class$javax$management$ReflectionException : (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException = class$("javax.management.ReflectionException")));
                            return outputStream48;
                        }
                        catch (InstanceAlreadyExistsException ex39) {
                            String s43 = "IDL:javax/management/InstanceAlreadyExistsEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream49 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream49.write_string(s43);
                            outputStream49.write_value(ex39, (_RMIConnectionImpl_Tie.class$javax$management$InstanceAlreadyExistsException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceAlreadyExistsException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceAlreadyExistsException = class$("javax.management.InstanceAlreadyExistsException")));
                            return outputStream49;
                        }
                        catch (MBeanException ex40) {
                            String s44 = "IDL:javax/management/MBeanEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream50 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream50.write_string(s44);
                            outputStream50.write_value(ex40, (_RMIConnectionImpl_Tie.class$javax$management$MBeanException != null) ? _RMIConnectionImpl_Tie.class$javax$management$MBeanException : (_RMIConnectionImpl_Tie.class$javax$management$MBeanException = class$("javax.management.MBeanException")));
                            return outputStream50;
                        }
                        catch (NotCompliantMBeanException ex41) {
                            String s45 = "IDL:javax/management/NotCompliantMBeanEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream51 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream51.write_string(s45);
                            outputStream51.write_value(ex41, (_RMIConnectionImpl_Tie.class$javax$management$NotCompliantMBeanException != null) ? _RMIConnectionImpl_Tie.class$javax$management$NotCompliantMBeanException : (_RMIConnectionImpl_Tie.class$javax$management$NotCompliantMBeanException = class$("javax.management.NotCompliantMBeanException")));
                            return outputStream51;
                        }
                        catch (IOException ex42) {
                            String s46 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream52 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream52.write_string(s46);
                            outputStream52.write_value(ex42, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream52;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream53 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream53.write_value(mBean2, (_RMIConnectionImpl_Tie.class$javax$management$ObjectInstance != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectInstance : (_RMIConnectionImpl_Tie.class$javax$management$ObjectInstance = class$("javax.management.ObjectInstance")));
                        return outputStream53;
                    }
                    if (s.equals("createMBean__CORBA_WStringValue__javax_management_ObjectName__javax_management_ObjectName__java_rmi_MarshalledObject__org_omg_boxedRMI_CORBA_seq1_WStringValue__javax_security_auth_Subject")) {
                        String s34 = (String)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$lang$String != null) ? _RMIConnectionImpl_Tie.class$java$lang$String : (_RMIConnectionImpl_Tie.class$java$lang$String = class$("java.lang.String")));
                        ObjectName objectName9 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        ObjectName objectName10 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        MarshalledObject<Object> marshalledObject5 = (MarshalledObject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject != null) ? _RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject : (_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject = class$("java.rmi.MarshalledObject")));
                        String[] array5 = (String[])inputStream2.read_value((_RMIConnectionImpl_Tie.array$Ljava$lang$String != null) ? _RMIConnectionImpl_Tie.array$Ljava$lang$String : (_RMIConnectionImpl_Tie.array$Ljava$lang$String = class$("[Ljava.lang.String;")));
                        Subject subject11 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        ObjectInstance mBean;
                        try {
                            mBean = target.createMBean(s34, objectName9, objectName10, marshalledObject5, array5, subject11);
                        }
                        catch (ReflectionException ex32) {
                            String s35 = "IDL:javax/management/ReflectionEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream41 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream41.write_string(s35);
                            outputStream41.write_value(ex32, (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException != null) ? _RMIConnectionImpl_Tie.class$javax$management$ReflectionException : (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException = class$("javax.management.ReflectionException")));
                            return outputStream41;
                        }
                        catch (InstanceAlreadyExistsException ex33) {
                            String s36 = "IDL:javax/management/InstanceAlreadyExistsEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream42 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream42.write_string(s36);
                            outputStream42.write_value(ex33, (_RMIConnectionImpl_Tie.class$javax$management$InstanceAlreadyExistsException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceAlreadyExistsException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceAlreadyExistsException = class$("javax.management.InstanceAlreadyExistsException")));
                            return outputStream42;
                        }
                        catch (MBeanException ex34) {
                            String s37 = "IDL:javax/management/MBeanEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream43 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream43.write_string(s37);
                            outputStream43.write_value(ex34, (_RMIConnectionImpl_Tie.class$javax$management$MBeanException != null) ? _RMIConnectionImpl_Tie.class$javax$management$MBeanException : (_RMIConnectionImpl_Tie.class$javax$management$MBeanException = class$("javax.management.MBeanException")));
                            return outputStream43;
                        }
                        catch (NotCompliantMBeanException ex35) {
                            String s38 = "IDL:javax/management/NotCompliantMBeanEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream44 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream44.write_string(s38);
                            outputStream44.write_value(ex35, (_RMIConnectionImpl_Tie.class$javax$management$NotCompliantMBeanException != null) ? _RMIConnectionImpl_Tie.class$javax$management$NotCompliantMBeanException : (_RMIConnectionImpl_Tie.class$javax$management$NotCompliantMBeanException = class$("javax.management.NotCompliantMBeanException")));
                            return outputStream44;
                        }
                        catch (InstanceNotFoundException ex36) {
                            String s39 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream45 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream45.write_string(s39);
                            outputStream45.write_value(ex36, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream45;
                        }
                        catch (IOException ex37) {
                            String s40 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream46 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream46.write_string(s40);
                            outputStream46.write_value(ex37, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream46;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream47 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream47.write_value(mBean, (_RMIConnectionImpl_Tie.class$javax$management$ObjectInstance != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectInstance : (_RMIConnectionImpl_Tie.class$javax$management$ObjectInstance = class$("javax.management.ObjectInstance")));
                        return outputStream47;
                    }
                }
                case 'c': {
                    if (s.equals("fetchNotifications")) {
                        long read_longlong = inputStream2.read_longlong();
                        int read_long = inputStream2.read_long();
                        long read_longlong2 = inputStream2.read_longlong();
                        NotificationResult fetchNotifications;
                        try {
                            fetchNotifications = target.fetchNotifications(read_longlong, read_long, read_longlong2);
                        }
                        catch (IOException ex54) {
                            String s60 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream67 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream67.write_string(s60);
                            outputStream67.write_value(ex54, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream67;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream68 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream68.write_value(fetchNotifications, (_RMIConnectionImpl_Tie.class$javax$management$remote$NotificationResult != null) ? _RMIConnectionImpl_Tie.class$javax$management$remote$NotificationResult : (_RMIConnectionImpl_Tie.class$javax$management$remote$NotificationResult = class$("javax.management.remote.NotificationResult")));
                        return outputStream68;
                    }
                }
                case 'e': {
                    if (s.equals("unregisterMBean")) {
                        ObjectName objectName16 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        Subject subject16 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        try {
                            target.unregisterMBean(objectName16, subject16);
                        }
                        catch (InstanceNotFoundException ex56) {
                            String s62 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream70 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream70.write_string(s62);
                            outputStream70.write_value(ex56, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream70;
                        }
                        catch (MBeanRegistrationException ex57) {
                            String s63 = "IDL:javax/management/MBeanRegistrationEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream71 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream71.write_string(s63);
                            outputStream71.write_value(ex57, (_RMIConnectionImpl_Tie.class$javax$management$MBeanRegistrationException != null) ? _RMIConnectionImpl_Tie.class$javax$management$MBeanRegistrationException : (_RMIConnectionImpl_Tie.class$javax$management$MBeanRegistrationException = class$("javax.management.MBeanRegistrationException")));
                            return outputStream71;
                        }
                        catch (IOException ex58) {
                            String s64 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream72 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream72.write_string(s64);
                            outputStream72.write_value(ex58, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream72;
                        }
                        return responseHandler.createReply();
                    }
                    if (s.equals("isRegistered")) {
                        ObjectName objectName15 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        Subject subject15 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        int registered;
                        try {
                            registered = target.isRegistered(objectName15, subject15);
                        }
                        catch (IOException ex55) {
                            String s61 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream69 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream69.write_string(s61);
                            outputStream69.write_value(ex55, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream69;
                        }
                        OutputStream reply2 = responseHandler.createReply();
                        reply2.write_boolean((boolean)registered);
                        return reply2;
                    }
                }
                case 'n': {
                    if (s.equals("isInstanceOf")) {
                        ObjectName objectName17 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        String s65 = (String)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$lang$String != null) ? _RMIConnectionImpl_Tie.class$java$lang$String : (_RMIConnectionImpl_Tie.class$java$lang$String = class$("java.lang.String")));
                        Subject subject17 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        int instance;
                        try {
                            instance = target.isInstanceOf(objectName17, s65, subject17);
                        }
                        catch (InstanceNotFoundException ex59) {
                            String s66 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream73 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream73.write_string(s66);
                            outputStream73.write_value(ex59, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream73;
                        }
                        catch (IOException ex60) {
                            String s67 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream74 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream74.write_string(s67);
                            outputStream74.write_value(ex60, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream74;
                        }
                        OutputStream reply3 = responseHandler.createReply();
                        reply3.write_boolean((boolean)instance);
                        return reply3;
                    }
                }
                case 'o': {
                    if (s.equals("invoke")) {
                        ObjectName objectName23 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        String s77 = (String)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$lang$String != null) ? _RMIConnectionImpl_Tie.class$java$lang$String : (_RMIConnectionImpl_Tie.class$java$lang$String = class$("java.lang.String")));
                        MarshalledObject<Object> marshalledObject9 = (MarshalledObject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject != null) ? _RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject : (_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject = class$("java.rmi.MarshalledObject")));
                        String[] array8 = (String[])inputStream2.read_value((_RMIConnectionImpl_Tie.array$Ljava$lang$String != null) ? _RMIConnectionImpl_Tie.array$Ljava$lang$String : (_RMIConnectionImpl_Tie.array$Ljava$lang$String = class$("[Ljava.lang.String;")));
                        Subject subject21 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        Object invoke;
                        try {
                            invoke = target.invoke(objectName23, s77, marshalledObject9, array8, subject21);
                        }
                        catch (InstanceNotFoundException ex70) {
                            String s78 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream84 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream84.write_string(s78);
                            outputStream84.write_value(ex70, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream84;
                        }
                        catch (MBeanException ex71) {
                            String s79 = "IDL:javax/management/MBeanEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream85 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream85.write_string(s79);
                            outputStream85.write_value(ex71, (_RMIConnectionImpl_Tie.class$javax$management$MBeanException != null) ? _RMIConnectionImpl_Tie.class$javax$management$MBeanException : (_RMIConnectionImpl_Tie.class$javax$management$MBeanException = class$("javax.management.MBeanException")));
                            return outputStream85;
                        }
                        catch (ReflectionException ex72) {
                            String s80 = "IDL:javax/management/ReflectionEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream86 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream86.write_string(s80);
                            outputStream86.write_value(ex72, (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException != null) ? _RMIConnectionImpl_Tie.class$javax$management$ReflectionException : (_RMIConnectionImpl_Tie.class$javax$management$ReflectionException = class$("javax.management.ReflectionException")));
                            return outputStream86;
                        }
                        catch (IOException ex73) {
                            String s81 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream87 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream87.write_string(s81);
                            outputStream87.write_value(ex73, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream87;
                        }
                        OutputStream reply4 = responseHandler.createReply();
                        Util.writeAny(reply4, invoke);
                        return reply4;
                    }
                    if (s.equals("removeNotificationListener__javax_management_ObjectName__javax_management_ObjectName__javax_security_auth_Subject")) {
                        ObjectName objectName21 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        ObjectName objectName22 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        Subject subject20 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        try {
                            target.removeNotificationListener(objectName21, objectName22, subject20);
                        }
                        catch (InstanceNotFoundException ex67) {
                            String s74 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream81 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream81.write_string(s74);
                            outputStream81.write_value(ex67, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream81;
                        }
                        catch (ListenerNotFoundException ex68) {
                            String s75 = "IDL:javax/management/ListenerNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream82 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream82.write_string(s75);
                            outputStream82.write_value(ex68, (_RMIConnectionImpl_Tie.class$javax$management$ListenerNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$ListenerNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$ListenerNotFoundException = class$("javax.management.ListenerNotFoundException")));
                            return outputStream82;
                        }
                        catch (IOException ex69) {
                            String s76 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream83 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream83.write_string(s76);
                            outputStream83.write_value(ex69, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream83;
                        }
                        return responseHandler.createReply();
                    }
                    if (s.equals("removeNotificationListener__javax_management_ObjectName__javax_management_ObjectName__java_rmi_MarshalledObject__java_rmi_MarshalledObject__javax_security_auth_Subject")) {
                        ObjectName objectName19 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        ObjectName objectName20 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        MarshalledObject<Object> marshalledObject7 = (MarshalledObject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject != null) ? _RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject : (_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject = class$("java.rmi.MarshalledObject")));
                        MarshalledObject<Object> marshalledObject8 = (MarshalledObject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject != null) ? _RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject : (_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject = class$("java.rmi.MarshalledObject")));
                        Subject subject19 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        try {
                            target.removeNotificationListener(objectName19, objectName20, marshalledObject7, marshalledObject8, subject19);
                        }
                        catch (InstanceNotFoundException ex64) {
                            String s71 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream78 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream78.write_string(s71);
                            outputStream78.write_value(ex64, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream78;
                        }
                        catch (ListenerNotFoundException ex65) {
                            String s72 = "IDL:javax/management/ListenerNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream79 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream79.write_string(s72);
                            outputStream79.write_value(ex65, (_RMIConnectionImpl_Tie.class$javax$management$ListenerNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$ListenerNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$ListenerNotFoundException = class$("javax.management.ListenerNotFoundException")));
                            return outputStream79;
                        }
                        catch (IOException ex66) {
                            String s73 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream80 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream80.write_string(s73);
                            outputStream80.write_value(ex66, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream80;
                        }
                        return responseHandler.createReply();
                    }
                    if (s.equals("removeNotificationListeners")) {
                        ObjectName objectName18 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        Integer[] array7 = (Integer[])inputStream2.read_value((_RMIConnectionImpl_Tie.array$Ljava$lang$Integer != null) ? _RMIConnectionImpl_Tie.array$Ljava$lang$Integer : (_RMIConnectionImpl_Tie.array$Ljava$lang$Integer = class$("[Ljava.lang.Integer;")));
                        Subject subject18 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        try {
                            target.removeNotificationListeners(objectName18, array7, subject18);
                        }
                        catch (InstanceNotFoundException ex61) {
                            String s68 = "IDL:javax/management/InstanceNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream75 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream75.write_string(s68);
                            outputStream75.write_value(ex61, (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$InstanceNotFoundException = class$("javax.management.InstanceNotFoundException")));
                            return outputStream75;
                        }
                        catch (ListenerNotFoundException ex62) {
                            String s69 = "IDL:javax/management/ListenerNotFoundEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream76 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream76.write_string(s69);
                            outputStream76.write_value(ex62, (_RMIConnectionImpl_Tie.class$javax$management$ListenerNotFoundException != null) ? _RMIConnectionImpl_Tie.class$javax$management$ListenerNotFoundException : (_RMIConnectionImpl_Tie.class$javax$management$ListenerNotFoundException = class$("javax.management.ListenerNotFoundException")));
                            return outputStream76;
                        }
                        catch (IOException ex63) {
                            String s70 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream77 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream77.write_string(s70);
                            outputStream77.write_value(ex63, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream77;
                        }
                        return responseHandler.createReply();
                    }
                }
                case 'r': {
                    if (s.equals("queryMBeans")) {
                        ObjectName objectName25 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        MarshalledObject<Object> marshalledObject11 = (MarshalledObject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject != null) ? _RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject : (_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject = class$("java.rmi.MarshalledObject")));
                        Subject subject23 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        Set<ObjectInstance> queryMBeans;
                        try {
                            queryMBeans = target.queryMBeans(objectName25, marshalledObject11, subject23);
                        }
                        catch (IOException ex75) {
                            String s83 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream90 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream90.write_string(s83);
                            outputStream90.write_value(ex75, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream90;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream91 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream91.write_value((Serializable)queryMBeans, (_RMIConnectionImpl_Tie.class$java$util$Set != null) ? _RMIConnectionImpl_Tie.class$java$util$Set : (_RMIConnectionImpl_Tie.class$java$util$Set = class$("java.util.Set")));
                        return outputStream91;
                    }
                    if (s.equals("queryNames")) {
                        ObjectName objectName24 = (ObjectName)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$management$ObjectName != null) ? _RMIConnectionImpl_Tie.class$javax$management$ObjectName : (_RMIConnectionImpl_Tie.class$javax$management$ObjectName = class$("javax.management.ObjectName")));
                        MarshalledObject<Object> marshalledObject10 = (MarshalledObject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject != null) ? _RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject : (_RMIConnectionImpl_Tie.class$java$rmi$MarshalledObject = class$("java.rmi.MarshalledObject")));
                        Subject subject22 = (Subject)inputStream2.read_value((_RMIConnectionImpl_Tie.class$javax$security$auth$Subject != null) ? _RMIConnectionImpl_Tie.class$javax$security$auth$Subject : (_RMIConnectionImpl_Tie.class$javax$security$auth$Subject = class$("javax.security.auth.Subject")));
                        Set<ObjectName> queryNames;
                        try {
                            queryNames = target.queryNames(objectName24, marshalledObject10, subject22);
                        }
                        catch (IOException ex74) {
                            String s82 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream88 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream88.write_string(s82);
                            outputStream88.write_value(ex74, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream88;
                        }
                        org.omg.CORBA_2_3.portable.OutputStream outputStream89 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createReply();
                        outputStream89.write_value((Serializable)queryNames, (_RMIConnectionImpl_Tie.class$java$util$Set != null) ? _RMIConnectionImpl_Tie.class$java$util$Set : (_RMIConnectionImpl_Tie.class$java$util$Set = class$("java.util.Set")));
                        return outputStream89;
                    }
                }
                case 's': {
                    if (s.equals("close")) {
                        try {
                            target.close();
                        }
                        catch (IOException ex76) {
                            String s84 = "IDL:java/io/IOEx:1.0";
                            org.omg.CORBA_2_3.portable.OutputStream outputStream92 = (org.omg.CORBA_2_3.portable.OutputStream)responseHandler.createExceptionReply();
                            outputStream92.write_string(s84);
                            outputStream92.write_value(ex76, (_RMIConnectionImpl_Tie.class$java$io$IOException != null) ? _RMIConnectionImpl_Tie.class$java$io$IOException : (_RMIConnectionImpl_Tie.class$java$io$IOException = class$("java.io.IOException")));
                            return outputStream92;
                        }
                        return responseHandler.createReply();
                    }
                    break;
                }
            }
            throw new BAD_OPERATION();
        }
        catch (SystemException ex77) {
            throw ex77;
        }
        catch (Throwable t) {
            throw new UnknownException(t);
        }
    }
    
    private Serializable cast_array(Object o) {
        return (Serializable)o;
    }
    
    static /* synthetic */ Class class$(String className) {
        try {
            return Class.forName(className);
        }
        catch (ClassNotFoundException ex) {
            throw new NoClassDefFoundError(ex.getMessage());
        }
    }
    
    public void deactivate() {
        this._orb().disconnect(this);
        this._set_delegate(null);
        this.target = null;
    }
    
    public Remote getTarget() {
        return this.target;
    }
    
    public ORB orb() {
        return this._orb();
    }
    
    public void orb(ORB orb) {
        orb.connect(this);
    }
    
    public void setTarget(Remote remote) {
        this.target = (RMIConnectionImpl)remote;
    }
    
    public org.omg.CORBA.Object thisObject() {
        return this;
    }
}
